session_name: ptpdev-sshuttle
windows:
- window_name: ptpdev-sshuttle
  layout: cc82,426x117,0,0{71x117,0,0[71x11,0,0,1,71x10,0,12,2,71x81,0,23,3,71x12,0,105,4],354x117,72,0[354x104,72,0{158x104,72,0,5,195x104,231,0,6},354x12,72,105,7]}
  panes:
  - shell_command:
      - clear
  - shell_command:
     - clear
  - shell_command:
      - clear
  - shell_command:
      - clear
  - shell_command:
     - xsh
     - echo "Activating venv 'corp-sshuttle'"
     - vox activate corp-sshuttle
     - echo "Pausing 30sec in case DUO auth is required [get the device!]"
     - sleep 4
     #- sleep 30
     #- echo "Purging SSH_AUTH_SOCK + SSH_AGENT_PID for refresh"
     #- unset SSH_AUTH_SOCK SSH_AGENT_PID
     - echo "Validating SSH agent+socket paths"
     - ! sh -c ( test -d ~/.ssh/.agents || mkdir ~/.ssh/.agents )
     - ! sh -c ( test -d ~/.ssh/.sockets || mkdir ~/.ssh/.sockets )
     - ! sh -c eval $(ssh-agent -a ~/.ssh/.agents/ptpdev.agent.ssh)
     - $SVPN_INIT_ARGS = "--verbose --syslog --disable-ipv6 --auto-hosts"
     - $SVPN_EXCL_CIDR = "--exclude-from ~/.ssh/.include/sshuttle.ptpdev.cidr.ignore"
     - $SVPN_DNS_NSTO = "--dns --to-ns 208.67.220.220"
     - $SVPN_NS_HOSTS = "--ns-hosts 208.67.220.220,208.67.222.222"
     - $SVPN_REMOTE_HOST = "sshuttle-sql133-ingest"
     - $SVPN_REMOTE_CIDR = "172.25.30.0/22"
     - $SVPN_REMOTE_COMP = ("--remote %s %s" % ($SVPN_REMOTE_HOST, $SVPN_REMOTE_CIDR))
     - $SVPN_CMD_DNS_YESS = ("sshuttle %s %s %s %s %s" %($SVPN_INIT_ARGS, $SVPN_EXCL_CIDR, $SVPN_DNS_NSTO, $SVPN_NS_HOSTS, $SVPN_REMOTE_COMP))
     - $SVPN_CMD_DNS_NOPE = ("sshuttle %s %s %s" %($SVPN_INIT_ARGS, $SVPN_EXCL_CIDR, $SVPN_REMOTE_COMP))
     - ! sh -c $SVPN_CMD_DNS_NOPE
    focus: true

  - shell_command:
     - clear
  - shell_command:
     - clear
     - sudo tail -f /var/log/messages | \grep -Eiv "devd|TCP_INFO|sendmail|pkg|cron" | lnav

# Layout Notes
# run to display active tmux session layout:
# $> tmux list-windows -F "#{window_active} #{window_layout}" | grep "^1" | cut -d " " -f 2
